<script setup></script>

<template>
  <nav>
    <NuxtLink to="/">
      <img class="logo" src="/logo.png" alt="Omniworks Logo"
    /></NuxtLink>
    <div class="nav-ctas">
      <NuxtLink class="nav-link" to="mailto:omniworkss@gmail.com"
        ><Icon name="ic:outline-email" />
      </NuxtLink>
      <NuxtLink class="nav-link" to="https://api.whatsapp.com/send?phone=%2B923348385958"
        ><Icon name="ic:baseline-whatsapp" />
      </NuxtLink>
    </div>
  </nav>
</template>

<style scoped>
nav {
  @apply flex flex-row justify-between items-center px-[24px];
  @apply tab-pt:px-[48px];
  @apply pc-sm:px-[64px];
  background-color: var(--primary);
}

.nav-ctas {
  @apply flex items-center justify-end gap-4;
  @apply tab-pt:gap-6;
  @apply tab-ls:gap-8;
  @apply pc-sm:gap-10;
}

.logo {
  @apply h-[28px];
  @apply mob-lg:h-[32px];
  @apply tab-pt:h-[42px];
  @apply pc-lg:h-[48px];
  @apply short:h-[28px];
}

.icon {
  @apply h-[32px] w-[32px];
  @apply mob-lg:h-[32px] mob-lg:w-[32px];
  @apply tab-pt:h-[36px] tab-pt:w-[36px];
  @apply tab-ls:h-[38px] tab-ls:w-[38px];
  @apply pc-sm:h-[42px] pc-sm:w-[42px];
  @apply short:h-[28px] short:w-[28px];
}

.nav-link {
  transition: all 0.5s ease-out;
} 

.nav-link:hover {
  color: var(--brand-blue);
} 
</style>
